Name:           ublue-os-libvirt-workarounds
Vendor:         ublue-os
Version:        1.1
Release:        1%{?dist}
Summary:        Services to workaround libvirt issues
License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages.git#372c47af2570bdc7a54216cb9adcc7e3608458d9:packages/ublue-os-libvirt-workarounds
Source:         packages-packages-ublue-os-libvirt-workarounds-372c47af.tar.gz

BuildArch:      noarch
BuildRequires:  systemd-rpm-macros
Supplements:    libvirt

%global sub_name %{lua:t=string.gsub(rpm.expand("%{NAME}"), "^ublue%-os%-", ""); print(t)}

%description
Adds systemd service and configuration for workarounds with libvirt on images

%prep
%setup -T -b 0 -q -n packages-packages-ublue-os-libvirt-workarounds

%build

%install
install -Dm0644 -t %{buildroot}%{_presetdir}/ src/%{_presetdir}/54-ublue-os-libvirt-workarounds.preset
install -Dm0644 -t %{buildroot}%{_unitdir}/ src/%{_unitdir}/ublue-os-libvirt-workarounds.service
install -Dm0644 -t %{buildroot}%{_prefix}/lib/sysusers.d src/%{_prefix}/lib/sysusers.d/ublue-os-libvirt-workarounds.conf
install -Dm0644 -t %{buildroot}%{_prefix}/lib/tmpfiles.d src/%{_prefix}/lib/tmpfiles.d/ublue-os-libvirt-workarounds.conf

%check

%post
%systemd_post ublue-os-libvirt-workarounds.service

%preun
%systemd_preun ublue-os-libvirt-workarounds.service

%files
%{_presetdir}/54-ublue-os-libvirt-workarounds.preset
%{_unitdir}/ublue-os-libvirt-workarounds.service
%{_prefix}/lib/sysusers.d/ublue-os-libvirt-workarounds.conf
%{_prefix}/lib/tmpfiles.d/ublue-os-libvirt-workarounds.conf

%changelog
* Fri Jun 20 2025 Benjamin Sherman <benjamin@holyarmy.org> - 1.1
- Add sysusers config for libvirt and libvirtdbus
- Rename all files for consistency

* Thu Apr 17 2025 Adam Fidel <adam@fidel.cloud> - 1.0
- Port from ublue-os/aurora
